.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    font-family: var(--secondary-font);

    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    padding: 6px 12px;

    border: 1px solid transparent;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;

    white-space: nowrap;
    user-select: none;
    cursor: pointer;
    text-transform: uppercase;

    transition: all 0.2s ease-in-out;
}

.btn.btn-primary {
    font-size: 16px;
    font-weight: 600;
    padding: 7px 15px;
    background: var(--button-primary);
    color: #fff;
    transition: all 0.3 ease;
}

.btn.btn-secondary {
    font-size: 16px;
    font-weight: 600;
    padding: 7px 15px;
    background: var(--button-second);
    color: #000;
    transition: all 0.3 ease;
}

.btn-ai {
    font-size: 16px;
    font-weight: 600;
    background: var(--button-primary);
    color: #fff;
}

.btn.btn-icon {
    padding: 10px 15px;
}

.btn.btn-large {
    padding: 16px 30px;
}

.card {
    border: 1px solid #ddd;
    padding: 16px;
    border-radius: 6px;
}

.btn.btn-secondary:hover {
    background: var(--button-primary);
    color: #fff;
    transition: all 0.3 ease;
}

.btn.btn-primary:hover {
    background: var(--button-second);
    color: #000;
    transition: all 0.3 ease;
}
